사용량 조회
curl --request GET \
--url https://api.x.com/2/usage/tweets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/usage/tweets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/usage/tweets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"cap_reset_day": 123,
"daily_client_app_usage": [
{
"client_app_id": "<string>",
"usage": [
{
"date": "2021-01-06T18:40:40.000Z",
"usage": 123
}
],
"usage_result_count": 123
}
],
"daily_project_usage": {
"project_id": 123,
"usage": [
{
"date": "2021-01-06T18:40:40.000Z",
"usage": 123
}
]
},
"project_cap": 123,
"project_id": "<string>",
"project_usage": 123
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}사용량
사용량 조회
지정된 일 수에 대한 포스트 사용량을 조회합니다.
GET
/
2
/
usage
/
tweets
사용량 조회
인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
쿼리 매개변수
사용량을 조회할 일 수입니다.
필수 범위:
1 <= x <= 90표시할 Usage 필드의 쉼표로 구분된 목록입니다. Usage 객체에서 사용할 수 있는 필드입니다.
Minimum array length:
1사용 가능한 옵션:
cap_reset_day, daily_client_app_usage, daily_project_usage, project_cap, project_id, project_usage 예시:
[
"cap_reset_day",
"daily_client_app_usage",
"daily_project_usage",
"project_cap",
"project_id",
"project_usage"
]
응답
요청이 성공했습니다.
클라이언트 App별 사용량입니다.
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
⌘I